Bug 257649 - NullPointerException at com.sun.tools.javac.code.Types$SameTypeVisitor.visitClassType
NullPointerException at com.sun.tools.javac.code.Types$SameTypeVisitor.visitC...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
8.2
All All
: P2 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 16:15 UTC by jasonkb
Modified: 2017-05-27 03:32 UTC (History)
11 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (7.71 KB, text/plain)
2016-01-20 16:15 UTC, jasonkb
Details
stacktrace (6.17 KB, text/plain)
2016-01-29 20:54 UTC, Exceptions Reporter
Details
stacktrace (7.25 KB, text/plain)
2016-02-11 08:22 UTC, Exceptions Reporter
Details
stacktrace (6.29 KB, text/plain)
2016-02-22 10:26 UTC, stefan79
Details
stacktrace (5.34 KB, text/plain)
2016-03-02 10:20 UTC, Maksim Khramov
Details
stacktrace (6.94 KB, text/plain)
2016-03-02 15:29 UTC, Alexander Simon
Details
stacktrace (6.94 KB, text/plain)
2016-03-02 15:32 UTC, Alexander Simon
Details
stacktrace (6.85 KB, text/plain)
2016-04-19 06:47 UTC, akobberup
Details
stacktrace (7.02 KB, text/plain)
2016-04-21 13:38 UTC, Tomas Stupka
Details
stacktrace (5.31 KB, text/plain)
2016-05-19 03:21 UTC, misterm
Details
stacktrace (6.94 KB, text/plain)
2016-05-24 08:42 UTC, Vladimir Voskresensky
Details
stacktrace (6.17 KB, text/plain)
2016-05-27 09:33 UTC, markiewb
Details
stacktrace (11.44 KB, text/plain)
2017-05-12 15:25 UTC, javydreamercsw
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jasonkb 2016-01-20 16:15:56 UTC
Build: NetBeans IDE Dev (Build 201601120002)
VM: Java HotSpot(TM) 64-Bit Server VM, 9-ea+100-2016-01-06-200131.javare.4235.nc, Java(TM) SE Runtime Environment, 9-ea+100-2016-01-06-200131.javare.4235.nc
OS: Mac OS X

User Comments:
jasonkb: using autocomplete. hit enter and exception was fired

jasonkb: same problem. the ctrl-space caused and autocomplete related exception

GUEST: Attempting to preview a class move (refactor)

jasonkb: tried to save and null pointer fired




Stacktrace: 
java.lang.NullPointerException
   at com.sun.tools.javac.code.Types$SameTypeVisitor.visitClassType(Types.java:1136)
   at com.sun.tools.javac.code.Types$SameTypeVisitor.visitClassType(Types.java:1089)
   at com.sun.tools.javac.code.Type$ClassType.accept(Type.java:999)
   at com.sun.tools.javac.code.Types$DefaultTypeVisitor.visit(Types.java:4533)
   at com.sun.tools.javac.code.Types.isSameType(Types.java:1086)
   at com.sun.tools.javac.code.Types.isSameType(Types.java:1081)
Comment 1 jasonkb 2016-01-20 16:15:57 UTC
Created attachment 158195 [details]
stacktrace
Comment 2 Exceptions Reporter 2016-01-29 20:54:42 UTC
Created attachment 158301 [details]
stacktrace

Doing nothing, it was idling.
Comment 3 Exceptions Reporter 2016-02-11 08:22:48 UTC
Created attachment 158456 [details]
stacktrace

Within JSF Project navigate from Package viewbean to viewconverter Package. Open .java => Exception
Comment 4 stefan79 2016-02-22 10:26:19 UTC
Created attachment 158590 [details]
stacktrace

Exception occured after CVS-Update.
Comment 5 Maksim Khramov 2016-03-02 10:20:21 UTC
Created attachment 158709 [details]
stacktrace

Edit java code
Comment 6 Exceptions Reporter 2016-03-02 10:20:26 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=211003
Comment 7 Alexander Simon 2016-03-02 15:29:21 UTC
Created attachment 158715 [details]
stacktrace

update class in terminal
Comment 8 Alexander Simon 2016-03-02 15:32:21 UTC
Created attachment 158716 [details]
stacktrace

edit class
Comment 9 akobberup 2016-04-19 06:47:58 UTC
Created attachment 159312 [details]
stacktrace

updated code from the repository which triggered a scan of the code. (this were the first run of this version of the ide - had been using nb. 8.1 before, so this is probably the first scan of the new ide)
Comment 10 Tomas Stupka 2016-04-21 13:38:59 UTC
Created attachment 159380 [details]
stacktrace

editing
Comment 11 misterm 2016-05-19 03:21:33 UTC
Created attachment 159808 [details]
stacktrace

Was with my cursor on uncompilable line:

                new TreeMap<String, SortedMap<String, String>>(fixedDescriptionByColumnByTable);

where fixedDescriptionByColumnByTable is a SortedMap<String, SortedMap<String, String>>
Comment 12 Vladimir Voskresensky 2016-05-24 08:42:48 UTC
Created attachment 159858 [details]
stacktrace

updated files externally
Comment 13 markiewb 2016-05-27 09:33:53 UTC
Created attachment 159899 [details]
stacktrace

???
Comment 14 javydreamercsw 2017-05-12 15:25:17 UTC
Created attachment 164306 [details]
stacktrace

Modifying code during a web deployment.
Comment 15 Exceptions Reporter 2017-05-12 15:25:25 UTC
This bug already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=211003
Comment 17 Quality Engineering 2017-05-27 03:32:09 UTC
Integrated into 'main-silver', will be available in build *201705270001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/657a3e870b85
User: Dusan Balek <dbalek@netbeans.org>
Log: Issues #270696, #268429, #200970, and #257649 fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo